# This skin demonstrates how to use 256 colors in mc.
#
# As a prerequisite, you will need to:
#   1) Have a terminal emulator that supports 256 colors (a few examples:
#      xterm, Gnome terminal and other VTE derivatives, KDE's Konsole;
#      iTerm for Mac OS X, PuTTY for Windows).
#   2) Adjust your TERM variable accordingly, e.g.: export TERM=xterm-256color
#      Verify by running tput colors
#
# Each of the 256 colors has two names, you can use whichever you prefer.
#
# One possibility is to use the names "color0" to "color255" to access every
# color directly based on their number.
#
# The first 16 colors ("color0" to "color15") can also be specified by their
# names (these names are already being used by mc for 8/16 color terminals):
#   black      gray
#   red        brightred
#   green      brightgreen
#   brown      yellow
#   blue       brightblue
#   magenta    brightmagenta
#   cyan       brightcyan
#   lightgray  white
# Note that with 8/16 color terminal settings (such as TERM=xterm), colors
# of the second column can only be used for the foreground, and their actual
# interpretation varies across terminals. Some terminals show the colors
# from the first column instead (that is, you only have 8 colors), but make
# them bold. Others show the brighter version (16 foreground colors). Yet
# others make them bold and bright at the same time. Switching to 256 colors
# should end this ambiguity: you should have 16 separate colors according to
# their names, none of them are bold by default but any of them can be
# switched to bold, and all of them are available for background, too. This
# is the intended behavior, the actual behavior might vary across terminals.
#
# Colors of the 6x6x6 cube ("color16" to "color231") can alternatively be
# referred to as "rgb000" to "rgb555", all three digits ranging from 0 to 5,
# corresponding to the R, G and B color components.
#
# The 24 grayscale colors ("color232" to "color255") have the aliases "gray0"
# to "gray23".
#
# In addition to the 256 colors, the special word "default" means the
# default foreground or background color of your terminal, while "base" means
# mc's main colors. A missing value means falling back to the _default_ of the
# given section.
#
# Following the foreground and background colors, the third (optional) value
# can specify special attributes to enable. Valid values are bold, underline,
# reverse and blink. Append more with a plus sign, e.g. "underline+bold".
# Leaving the field empty makes it fall back to the attributes of _default_.
# Use any other word (e.g. "none") to prevent fallback and disable all flags.

[skin]
    description=Sand skin using 256 colors
    256colors=true

[Lines]
    horiz=─
    vert=│
    lefttop=┌
    righttop=┐
    leftbottom=└
    rightbottom=┘
    topmiddle=─
    bottommiddle=─
    leftmiddle=├
    rightmiddle=┤
    cross=┼
    dhoriz=─
    dvert=│
    dlefttop=┌
    drighttop=┐
    dleftbottom=└
    drightbottom=┘
    dtopmiddle=─
    dbottommiddle=─
    dleftmiddle=├
    drightmiddle=┤

[core]
    _default_=black;rgb554
    selected=;rgb452
    marked=rgb400
    markselect=rgb400;rgb452
    gauge=;rgb452
    input=;rgb452
    inputunchanged=gray;rgb452
    inputmark=rgb452;gray
    disabled=gray;rgb553
    reverse=;rgb452
    commandlinemark=white;gray
    header=red

[dialog]
    _default_=black;rgb553
    dfocus=;rgb452
    dhotnormal=;;underline
    dhotfocus=;rgb452;underline
    dtitle=;;underline

[error]
    _default_=rgb554;rgb320;bold
    errdfocus=black;rgb452;bold
    errdhotnormal=;;bold+underline
    errdhotfocus=black;rgb452;bold+underline 
    errdtitle=;;bold+underline 

[filehighlight]
    directory=
    executable=rgb030
    symlink=rgb202
    hardlink=
    # 404 Not Found :)
    stalelink=rgb404
    device=rgb231
    special=rgb331
    core=rgb430
    temp=gray15
    archive=rgb012
    doc=rgb103
    source=rgb310
    media=rgb024
    graph=rgb033
    database=rgb421

[menu]
    _default_=black;rgb452
    menuhot=;;underline
    menusel=;rgb551
    menuhotsel=;rgb551;underline
    menuinactive=

[buttonbar]
    hotkey=black;rgb554
    button=black;rgb452

[statusbar]
    _default_=black;rgb452

[help]
    _default_=black;rgb553
    helpitalic=green
    helpbold=red
    helplink=blue;;underline
    helpslink=blue;;reverse

[editor]
    _default_=black;rgb554
    editbold=rgb400
    editmarked=;rgb452
    editwhitespace=rgb400;rgb553
    editlinestate=;rgb553
    bookmark=;rgb551
    bookmarkfound=;rgb530
    editrightmargin=rgb400;rgb553

[viewer]
    viewunderline=;;underline

[diffviewer]
    added=;rgb450
    changedline=blue;rgb553
    changednew=rgb400;rgb553
    changed=;rgb553
    removed=;rgb511
    folder=;rgb530
    error=rgb554;rgb320

[widget-common]
    sort-sign-up = ↓
    sort-sign-down = ↑

[widget-panel]
    hiddenfiles-sign-show = •
    hiddenfiles-sign-hide = ○
    history-prev-item-sign = «
    history-next-item-sign = »
    history-show-list-sign = ^
    filename-scroll-left-char = «
    filename-scroll-right-char = »

[widget-scollbar]
    first-vert-char=↑
    last-vert-char=↓
    first-horiz-char=«
    last-horiz-char=»
    current-char=■
    background-char=▒
